% Edge diffraction toolbox
% Version EDB 3_Feb-2010
%
% Main programs
%  EDBmainISESx       - Calculates the specular and edge diffraction IRs and saves them in files.
%
% Read CAD file and geometry pre-processing
%  EDBreadsetup       - Runs the EDsetup m-file and saves all the settings in a mat-file.
%  EDBreadcad         - Reads a file of type .CAD and saves all the geometry data in a mat-file. 
%  EDBrefinecad       - Reads a file of type .CAD and refines edges automatically.
%  EDBed2geox         - Calculates 2nd- and higher-order edge-related geom. parameters.
%  EDBedgeox          - Calculates some plane- and edge-related geometrical parameters.
%  EDBSorRgeo         - Calculates some source- or receiver-related geometrical parameters.
%
% Find sound paths
%  EDBfindpathsISESx  - Finds all possible paths that include direct sound, specular, diffraction.
%  EDBdiff2ISES       - Gives list of paths that includes a 2nd-order diff. combination.
%  EDBdiffISESx       - Gives list of paths that includes a 1st-order diff. combination.
%  EDBdiffNISES       - Gives list of paths that includes an N-order diff. combination.
%  EDBdirectsound     - Checks if the direct sound is valid.
%  EDBfindISEStree    - Constructs a list ("an ISES tree") of all possible specular-diffraction combinations.
%  EDBfindis          - Returns the image source coordinates.
%  EDBcheckobstrpaths - Checks obstruction for a list of paths, or check if specular reflections are valid.
%  EDBcheckobstr_pointtoedge      - Checks obstruction for a list of point-to-edge paths.
%  EDBcheckobstr_edgetoedge       - Checks obstruction for a list of edge-to-edge paths.
%  EDBchkISvisible    - Checks if paths from a set of IS to a set of R pass through their refl. planes.
%  EDBchkISvisiblex   - Checks if paths from a set of IS to a set of R pass through their refl. planes. Extended version.
%  EDBgetedgepoints   - Calculates a number of edge coordinates.
%  EDBinfrontofplane  - Checks if a point is in front of, in plane with, or behind a list of planes. 
%  EDBpoinpla         - Detects if one or more points are inside a number of finite planes. 
%  EDBpoinplax        - Detects if one or more points are inside a number of finite planes. Extended version.
%  EDBspeculISES      - Finds the valid specular reflections by checking visibility and obstruction.
%
% Create impulse responses
%  EDBbetaoverml      - Integrand function which is called for num. int. of ED IR.
%  EDBirfromslotlist  - Creates an IR from a list of sample numbers and amplitudes
%  EDBmakeirsISESx    - Constructs IRs from a list of paths in an edpathsfile.
%  EDBwedge1st_int    - Computes the 1st-order diffraction impulse response.
%  EDBwedge2nd 		  - Computes the second-order diffraction impulse responses.
%  EDBwedgeN 		  - Computes the Nth-order diffraction impulse responses.
%  EDBquadstep        - Recursive numerical integration routine for EDBwedge1st_int.
%
% Various plot functions
%  EDBmakemovie       - Makes a movie based on IRs.
%  EDBplotmodel       - Plots a model which is given in an eddatafile.
%  EDBplotstackedIRs  - Plots a number of IRs in a stacked way.
%  EDBplotstackedTFs  - Plots a number of TFs in a stacked way.
%
% Various string functions
%  EDBextrnums        - Extracts the numerical values in a text-string, separated by a given delimiter.
%  EDBfistr           - Reads a text file, line by line, until a given textstring is found.
%  EDBmyvalueinput    - Prints a text on the screen and waits for a numerical to be input.
%  EDBstrpend         - Removes a specified ending from a filename.
%
% Various numerical functions
%  EDBcalcdist        - Gives distances between sets of points in 3D space.
%  EDBcompress7       - 
%  EDBcoordtrans1     - Transforms one set of cartesian coordinates to edge-related cylindrical coordinates.
%  EDBcoordtrans2     - Transforms two sets of cartesian coordinates to edge-related cylindrical coordinates.
%  EDBcreindexmatrix  - Creates a matrix with index numbers.
%  EDBcross           - Stripped down version of Matlab's built in function cross.
%
% Function for editing paths
%  EDBeditpathlist    - Does some semi-automatic editing of an edpathsfile.
